<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="10.1.1" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="8.1.1" />
    <PackageReference Include="MediatR" Version="9.0.0" />
    <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="9.0.0" />
    <PackageReference Include="Microsoft.AspNet.WebApi.Core" Version="5.2.7" />
    <PackageReference Include="Microsoft.AspNetCore.OData" Version="7.5.6" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.3" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.3">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.3" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="6.0.7" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="6.0.7" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="6.0.7" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\StudentsGrades.DataAccess\StudentsGrades.DataAccess.csproj" />
    <ProjectReference Include="..\StudentsGrades.Domain\StudentsGrades.Domain.csproj" />
  </ItemGroup>


</Project>
